Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre > Server

Notices

Reply
 
Thread Tools Search this Thread
Old 03-18-2024, 11:11 PM   #1
ogdredweary
Junior Member
ogdredweary began at the beginning.
 
Posts: 8
Karma: 10
Join Date: Jun 2022
Device: Kobo Libra 2
Errno 98 Address already in use when trying to use --enable-auth option in the CLI

Not really sure what I'm doing wrong here, but I set up my content server a few months ago and it was local-only while I figured out my reverse-proxy and self-signed certificate. I actually had a bit of a snag with that and left it for a time, only going back to it now to try again and research the error some more. But it unexpectedly worked, and put my entire library on the internet available to anyone (for now, I've shut down the container on my hypervisor so the library isn't currently accessible online...or on my network).

Before that though, I tried to enable-auth, but it didn't work and gave me the following
Code:
Failed to bind to :: with error: No socket could be created -- (('::', 8080, 0, 0): [Errno 98] Address already in use). Trying to bind to the default interface: 192.168.1.3 instead
Traceback (most recent call last):
  File "/usr/lib/calibre/calibre/srv/loop.py", line 493, in initialize_socket
    self.do_bind()
  File "/usr/lib/calibre/calibre/srv/loop.py", line 487, in do_bind
    raise OSError(msg)
OSError: No socket could be created -- (('::', 8080, 0, 0): [Errno 98] Address already in use)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/calibre-server", line 21, in <module>
    sys.exit(main())
             ^^^^^^
  File "/usr/lib/calibre/calibre/srv/standalone.py", line 245, in main
    server.serve_forever()
  File "/usr/lib/calibre/calibre/srv/loop.py", line 551, in serve_forever
    self.initialize_socket()
  File "/usr/lib/calibre/calibre/srv/loop.py", line 503, in initialize_socket
    self.do_bind()
  File "/usr/lib/calibre/calibre/srv/loop.py", line 487, in do_bind
    raise OSError(msg)
OSError: No socket could be created -- (('192.168.1.3', 8080): [Errno 98] Address already in use)
I'm fairly new to Linux and am a little out of my depth here, any and all help is appreciated.
ogdredweary is offline   Reply With Quote
Old 03-18-2024, 11:18 PM   #2
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 44,034
Karma: 22669822
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
This has nothing to do with enable-auth it means something else is already listening on port 8080 on your computer. You can try using a different port.
kovidgoyal is offline   Reply With Quote
Old 03-20-2024, 11:54 PM   #3
ogdredweary
Junior Member
ogdredweary began at the beginning.
 
Posts: 8
Karma: 10
Join Date: Jun 2022
Device: Kobo Libra 2
Quote:
Originally Posted by kovidgoyal View Post
This has nothing to do with enable-auth it means something else is already listening on port 8080 on your computer. You can try using a different port.
Right, calibre server is already listening on that port because the service was already running. I ended up editing the calibre-server.service file directly and changed the --enable-local-write to --enable-auth and then reloading the service (but it took a while and other help to figure that out).

So my library seems secure now, but even though I had added a user beforehand, I can't actually log in with it. I thought maybe the user information didn't save, but that wasn't the problem. Tried deleting and adding a new user and restarting the service, but that didn't work either.

Following the documentation here for managing users, I have the same problem in the original post because the service is already running, so not really sure how to proceed. https://manual.calibre-ebook.com/ser...mand-line-only
ogdredweary is offline   Reply With Quote
Reply

Tags
content-server, linux debian

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
[FONT] How to enable Advanced Option for sideload fonts (without root) ? meo_map13 Kobo Reader 7 12-08-2020 09:37 PM
Is there any way to enable 'report content error' and 'share' option on ebook? VósMicêSama ePub 13 11-08-2016 05:34 PM
360 Plus How to enter address into browser address field? Hope PocketBook 15 04-06-2012 12:07 PM


All times are GMT -4. The time now is 01:01 AM.


MobileRead.com is a privately owned, operated and funded community.